Bug 1254042 - [abrt] blueman: connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 2 matched rules; type="method_call", sender=":1.33" (uid=1000 pid=3238 comm="python /usr/bin/blueman-applet ") ...
[abrt] blueman: connection.py:651:call_blocking:DBusException: org.freedeskto...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3d8972e8fef0f1f0ca74fa87b89...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-16 21:52 EDT by Nick Bebout
Modified: 2016-07-19 13:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:31:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.78 KB, text/plain)
2015-08-16 21:52 EDT, Nick Bebout
no flags Details
File: environ (1.33 KB, text/plain)
2015-08-16 21:52 EDT, Nick Bebout
no flags Details

  None (edit)
Description Nick Bebout 2015-08-16 21:52:02 EDT
Description of problem:
starting a x2go session

Version-Release number of selected component:
blueman-2.0-11.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        python /usr/bin/blueman-applet
dso_list:       dbus-python-1.2.0-7.fc22.x86_64
executable:     /usr/bin/blueman-applet
kernel:         4.1.4-200.fc22.x86_64
runlevel:       N 3
type:           Python
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 2 matched rules; type="method_call", sender=":1.33" (uid=1000 pid=3238 comm="python /usr/bin/blueman-applet ") interface="org.freedesktop.DBus.Introspectable" member="Introspect" error name="(unset)" requested_reply="0" destination=":1.34" (uid=0 pid=3323 comm="/usr/libexec/bluetooth/bluetoothd ")

Traceback (most recent call last):
  File "/usr/bin/blueman-applet", line 121, in <module>
    BluemanApplet()
  File "/usr/bin/blueman-applet", line 63, in __init__
    self.Plugins.Load()
  File "/usr/lib/python2.7/site-packages/blueman/main/PluginManager.py", line 90, in Load
    __import__(self.module_path.__name__ + ".%s" % plugin, None, None, [])
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/AuthAgent.py", line 9, in <module>
    import blueman.main.applet.BluezAgent as BluezAgent
  File "/usr/lib/python2.7/site-packages/blueman/main/applet/BluezAgent.py", line 20, in <module>
    from blueman.bluez.Agent import Agent, AgentMethod
  File "/usr/lib/python2.7/site-packages/blueman/bluez/Agent.py", line 48, in <module>
    class Agent(dbus.service.Object):
  File "/usr/lib/python2.7/site-packages/blueman/bluez/Agent.py", line 56, in Agent
    @AgentMethod
  File "/usr/lib/python2.7/site-packages/blueman/bluez/Agent.py", line 38, in AgentMethod
    if BlueZInterface.get_interface_version()[0] < 5:
  File "/usr/lib/python2.7/site-packages/blueman/bluez/BlueZInterface.py", line 17, in get_interface_version
    introspection = dbus.Interface(obj, 'org.freedesktop.DBus.Introspectable').Introspect()
  File "/usr/lib64/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib64/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib64/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 2 matched rules; type="method_call", sender=":1.33" (uid=1000 pid=3238 comm="python /usr/bin/blueman-applet ") interface="org.freedesktop.DBus.Introspectable" member="Introspect" error name="(unset)" requested_reply="0" destination=":1.34" (uid=0 pid=3323 comm="/usr/libexec/bluetooth/bluetoothd ")

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x7fdf70c0e0b0>
args: ()
object_path: u'/'
signature: None
bus_name: dbus.UTF8String(':1.34')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: -1.0
kwargs: {}
dbus_interface: u'org.freedesktop.DBus.Introspectable'
message: <dbus.lowlevel.MethodCallMessage path: /, iface: org.freedesktop.DBus.Introspectable, member: Introspect dest: :1.34>
method: 'Introspect'
Comment 1 Nick Bebout 2015-08-16 21:52:04 EDT
Created attachment 1063584 [details]
File: backtrace
Comment 2 Nick Bebout 2015-08-16 21:52:05 EDT
Created attachment 1063585 [details]
File: environ
Comment 3 Fedora Admin XMLRPC Client 2016-06-21 12:25:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-07-19 13:31:43 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.